GLUGETNURBSPROPERTY(3G) |  | GLUGETNURBSPROPERTY(3G)

# NAME

gluGetNurbsProperty - get a NURBS property

# C SPECIFICATION

void gluGetNurbsProperty( GLUnurbs* nurb,
GLenum property,
GLfloat* data )
delim$$

# PARAMETERS

nurb
  Specifies the NURBS object (created with gluNewNurbsRenderer).

property
  Specifies the property whose value is to be fetched. Valid values are GLU_CULLING, GLU_SAMPLING_TOLERANCE, GLU_DISPLAY_MODE, GLU_AUTO_LOAD_MATRIX, GLU_PARAMETRIC_TOLERANCE, GLU_SAMPLING_METHOD, GLU_U_STEP, GLU_V_STEP and GLU_NURBS_MODE.

data
  Specifies a pointer to the location into which the value of the named property is written.

# DESCRIPTION

gluGetNurbsProperty retrieves properties stored in a NURBS object. These properties affect the way that NURBS curves and surfaces are rendered. See the gluNurbsProperty reference page for information about what the properties are and what they do.

# SEE ALSO

gluNewNurbsRenderer(3G), gluNurbsProperty(3G)